
package rankingimagenes;

import java.awt.image.BufferedImage;
import java.util.ArrayList;
import javax.swing.JLabel;

/**
 * @author Diego Vazquez Blanco
 */
public class DatosPrincipal {
    
    private String path_carpeta_imagenes;
    private ArrayList<BufferedImage> lista_imagenes_rgb;
    private ArrayList<JLabel> lista_labels_principal;
    private ArrayList<String> lista_metadatos_principal;
    
    /**
     * Contructior de la clase
     */
    public DatosPrincipal(){
        path_carpeta_imagenes = "";
        lista_imagenes_rgb = new ArrayList<>();
        lista_labels_principal = new ArrayList<>();
        lista_metadatos_principal = new ArrayList<>();
    }
    
            /* PATH CARPETA IMAGENES */
    public void setPathCarpetaImagenes(String path){
        path_carpeta_imagenes = path;
    }
    
    public String getPathCarpetaImagenes(){
        return path_carpeta_imagenes; 
    }
    
            /* LISTA DE IMAGENES RGB */
    public void addListaImagenesRGB(BufferedImage imagen){
        lista_imagenes_rgb.add(imagen);
    }
    
    public BufferedImage getImagenListaRGB(int i){
        return lista_imagenes_rgb.get(i);
    }
    
    public ArrayList<BufferedImage> getListaImagenesRGB(){
        return lista_imagenes_rgb;
    }
    
            /* LISTA DE LABELS PRINCICPAL */
    public void addListaLabelsPrincipal(JLabel label){
        lista_labels_principal.add(label);
    }
    
    public JLabel getLabelListaPrincipal(int i){
        return lista_labels_principal.get(i);
    }
    
    public ArrayList<JLabel> getListaLabelsPrincipal(){
        return lista_labels_principal;
    }
    
            /* LISTA DE METADATOS PRINCICPAL */
    public void addListaMetadatosPrincipal(String metadatos){
        lista_metadatos_principal.add(metadatos);
    }
    
    public String getMetadatosListaPrincipal(int i){
        return lista_metadatos_principal.get(i);
    }
    
    public ArrayList<String> getListaMetadatosPrincipal(){
        return lista_metadatos_principal;
    }
}
